## Pls-Logging

Pls-Logging is short for Python Local Server Logging, which refers to a log with a web interface.

It uses a modified version of [Oh-My-PickleDB](https://github.com/tory1103/oh-my-pickledb) JSON Manager for data storing.

## Pls-Logging is fun and easy to use

```python
from plsl import Logging

log = Logging()  # Logging Object

log.info("info test")  # Info
log.warning("warning test")  # Warning
log.debug("debug test")  # Debug
log.error("error test")  # Error

```

## Easy to Install

```shell
# Using python pip
$ pip install plsl
```

```shell
# Using git
$ git clone https://github.com/tory1103/pls-logging
$ cd pls-logging
$ pip install -r requirements.txt
$ python setup.py install
```

## Contributing

You can propose a feature request opening an issue, or a pull request.

Here is a list of pls-logging contributors:

<a href="https://github.com/tory1103/pls-logging/graphs/contributors">
  <img src="https://contributors-img.web.app/image?repo=tory1103/pls-logging" />
</a>

<h3 align="right">Useful Links</h3>
<p align="right">
<a href="https://tory1103.github.io/pls-logging/">
Website<br>
</a>
<a href="https://tory1103.github.io/pls-logging/docs.html">
Documentation<br>
</a>
<a href="https://pypi.org/project/plsl">
PyPi<br>
</a>

</p>
